Subject: Re: [PATCH] ls-files: conditionally leave index sparse

From: Derrick Stolee <[email-masked]>
Date: Tue, 26 Aug 2025 12:40:31 -0400

On 8/15/2025 12:12 PM, Derrick Stolee via GitGitGadget wrote:
> From: Derrick Stolee <[email-masked]>
...
> Replace this global check to expand the index with a check inside the
> loop for a matched sparse directory. If we see one, then expand the
> index and continue from the current location. This is safe since the
> previous entries in the index did not have any sparse directories and
> thus would remain stable in this expansion.
...>     Here's a small sparse index performance update based on a user report.

I know this is small and somewhat niche, but it hasn't had any review
or been picked up in What's Cooking. Could someone please take a look?

Thanks,
-Stolee